Subject: Re: [Gen-art] Gen-ART review of draft-ietf-pwe3-redundancy-bit-07.txt

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Wed, 27 Jun 2012 15:21:55 -0500

Hi Miguel,
Thank you again for the second review of this draft. All your comments are accepted and will be included in the next version.

Regards,
Mustapha. 

-----Original Message-----
From: Miguel A. Garcia [mailto:[email-masked]] 
Sent: Wednesday, May 23, 2012 3:22 AM
To: [email-masked]; Andy Malis; [email-masked]; Stewart Bryant
Cc: General Area Review Team
Subject: Gen-ART review of draft-ietf-pwe3-redundancy-bit-07.txt

I have been selected as the General Area Review Team (Gen-ART) reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other comments you may receive.

Document: draft-ietf-pwe3-redundancy-bit-07.txt
Reviewer: Miguel Garcia <[email-masked]> Review Date: 23-May-2012 IESG Telechat date: 24-May-2012

Summary: The document is almost ready for publication as a standards track RFC, but has some minor issues that should be fixed.

I reviewed version -06 of this document. At that time I had a few comments. Most of them have been successfully addressed. In this review I am addressing the leftovers and new issues.

Major issues: none

Minor issues:

- In my previous review, I highlighted that many lowercase 2119-reserved words (like "must", "may", etc.) should actually be written in uppercase to be really normative. Rather than analyzing each case on a one by one basis, the authors have systematically written in uppercase all 2119-reserved words. The problem is that now some uppercase 2119-reserved words don't make sense, and should be reverted to lowercase. Allow me some examples:

   * Sections 1 (Introduction) and 2 (Motivation and Scope). Since these are descriptive sections in nature, normative text should not be written here. If there is a need to write normative text, it should be written later in any of the procedures sections.

   * Section 5.2, 1st paragraph, the "MUST" does not really have a normative intention as it is currently written:

    One endpoint node of the redundant set of PWs is designated the
    Master and is responsible for selecting which PW both endpoints MUST
    use to forward user traffic.

   * Section 15.2. I understand that this section describes scenarios or examples of architectures. Therefore, it does not make sense to write normative statements in here. If you need one, it should be written in any of the procedures sections. There is a "SHOULD" on the 4th paragraph of Section 15.2. The same applies to the last paragraph in Section 15.4 and last paragraph in Section 15.6.

Nits/editorial comments:

- The abstract has added a new sentence at the end. Unfortunately there is a new reference "in RFC 5542 [9]". Abstracts shouldn't include references. Just write "... in RFC 5542".

- There is an extra dot at the end of the second paragraph in Section 6.1. The same happen in the last paragraph of Section 15.3. And yet the same in the third paragraph of Section 15.4, and the second paragraph in 15.6.

- Section 15.4, second paragraph, the term "Figure" is repeated.

- Section 15.5, the last paragraph starts with some strange indentation.

/Miguel
--
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain